package net.t2code.t2codelib.BUNGEE.system.config;

import net.t2code.t2codelib.BUNGEE.api.yaml.T2CBconfigWriter;
import net.t2code.t2codelib.BUNGEE.system.T2CodeBMain;
import net.t2code.t2codelib.T2CconfigItem;
import net.t2code.t2codelib.Util;

import java.io.File;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

public class T2CBlibConfig {

    public enum VALUES implements T2CconfigItem{


        /**
         * TODO Converter !!!!!
         */

        updateTimer("UpdateCheck.TimerInMin", 60),
        seePreReleaseUpdates("UpdateCheck.SeePreReleaseUpdates", true),
        updateCheckFullDisable("Plugin.UpdateCheck.AllPlugins.FullDisable", false),

        apiCommandGUIEnable("API.CommandGUI.Enable", false, "Aktiviere die API für CommandGUI"),
        apiAutoResponse("API.AutoResponse.Enable", false),
        apiOpSecurity("API.OPSecurity.Enable", false),

        ;


        private final String path;
        private Object value;
        private final List<String> comments;

        VALUES(String path, Object value, String... comments) {
            this.path = path;
            this.value = value;
            this.comments = new ArrayList<>(Arrays.asList(comments));
        }

        @Override
        public String getPath() {
            return path;
        }

        @Override
        public Object getValue() {
            return value;
        }

        @Override
        public List<String> getComments() {
            return comments;
        }

        @Override
        public void setValue(Object newValue) {
            value = newValue;
        }
    }

    public static void set(){
      T2CBconfigWriter.createConfig(new File(T2CodeBMain.getPlugin().getDataFolder(), "config.yml"), VALUES.values(), Util.getConfigLogo());
    }

}
